#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		sname		%(echo %{name} | cut -d '-' -f2-)
#-----------------------------------------------------------------------------
Name		:	perl-File-ShareDir
Version		:	1.118
Release		:	16.2.0.rel%{?dist}
Summary		:	Locate per-dist and per-module shared files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/distribution/pod/File::ShareDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The intent of File::ShareDir is to provide a companion to
Class::Inspector and File::HomeDir, modules that take a
process that is well-known by advanced Perl developers but
gets a little tricky, and make it more available to the
larger Perl community.

Quite often you want or need your Perl module (CPAN or otherwise)
to have access to a large amount of read-only data that is stored
on the file-system at run-time.

On a linux-like system, this would be in a place such as /usr/share,
however Perl runs on a wide variety of different systems, and so
the use of any one location is unreliable.

Perl provides a little-known method for doing this, but almost
nobody is aware that it exists. As a result, module authors often
go through some very strange ways to make the data available
to their code.

The most common of these is to dump the data out to an enormous
Perl data structure and save it into the module itself. The
result are enormous multi-megabyte .pm files that chew up
a lot of memory needlessly.

Another method is to put the data "file" after the __DATA__
compiler tag and limit yourself to access as a filehandle.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_datadir}/perl5/core_perl/File/ShareDir.pm
%{_datadir}/perl5/core_perl/auto/share/dist/File-ShareDir/sample.txt
%{_datadir}/perl5/core_perl/auto/share/dist/File-ShareDir/subdir/sample.txt
%{_datadir}/perl5/core_perl/auto/share/module/File-ShareDir/*.txt
%{_mandir}/man3/File::ShareDir.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__perl}							\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
